devbox

Member
Aug 21, 2016
5
0
1
cPanel Access Level
Root Administrator
Hi all, just launched a cloud server from packet.net under centos 7 and cannot figure out to install cpanel, I got this error:
Code:
2016-12-09 11:25:14  672 (DEBUG):     Cleaning up everything
2016-12-09 11:25:14  672 (DEBUG):     Cleaning up list of fastest mirrors
2016-12-09 11:25:14  672 (DEBUG):   - ssystem [END]
2016-12-09 11:25:14  710 ( INFO): Installing Perl development packages so that the system's Perl can install from CPAN...
2016-12-09 11:25:14  242 (DEBUG):   - ssystem [BEGIN]: /usr/bin/yum -y install perl-devel perl-CPAN perl-File-Copy-Recursive perl-Module-Build perl-core perl-libwww-perl crontabs sysstat
2016-12-09 11:25:14  242 (DEBUG):     Loaded plugins: fastestmirror
2016-12-09 11:25:19  242 (DEBUG):     Determining fastest mirrors
2016-12-09 11:25:21  242 (DEBUG):      * base: mirror.web-ster.com
2016-12-09 11:25:21  242 (DEBUG):      * extras: mirror.web-ster.com
2016-12-09 11:25:21  242 (DEBUG):      * updates: mirror.web-ster.com
2016-12-09 11:25:30  242 (DEBUG):     Package 4:perl-devel-5.16.3-286.el7.x86_64 already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package perl-CPAN-1.9800-286.el7.noarch already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package perl-File-Copy-Recursive-0.38-14.el7.noarch already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package 2:perl-Module-Build-0.40.05-2.el7.noarch already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package perl-core-5.16.3-286.el7.x86_64 already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package perl-libwww-perl-6.05-2.el7.noarch already installed and latest version
2016-12-09 11:25:30  242 (DEBUG):     Package crontabs-1.11-6.20121102git.el7.noarch already installed and latest version
2016-12-09 11:25:31  242 (DEBUG):     Package sysstat-10.1.5-7.el7.x86_64 already installed and latest version
2016-12-09 11:25:31  242 (DEBUG):     Nothing to do
2016-12-09 11:25:31  242 (DEBUG):   - ssystem [END]
2016-12-09 11:25:31  715 (DEBUG):   - ssystem [BEGIN]: /usr/local/cpanel/scripts/checkyum --nokernel --noperl
open3: exec of /usr/local/cpanel/scripts/checkyum --nokernel --noperl failed at /home/cPanelInstall/selfgz11798/install line 261.Removing /root/installer.lock.
----------------------------------------------------------
Any idea to solve this, thanks.

PS: cannot open support ticket without ID
 
Last edited by a moderator:

devbox

Member
Aug 21, 2016
5
0
1
cPanel Access Level
Root Administrator
Yep, as per my mention, fresh install on new server:

Filesystem Size Used Avail Use% Mounted on
/dev/sda3 109G 2.3G 101G 3% /
devtmpfs 3.9G 0 3.9G 0% /dev
tmpfs 3.9G 0 3.9G 0% /dev/shm
tmpfs 3.9G 17M 3.9G 1% /run
tmpfs 3.9G 0 3.9G 0% /sys/fs/cgroup
tmpfs 798M 0 798M 0% /run/user/0
 

devbox

Member
Aug 21, 2016
5
0
1
cPanel Access Level
Root Administrator
Well, as I can't figureit out, I simply reload the OS and a update then run the install. And this time its work like a charme.
Just got some other small issue on tweaking cPanel WHM side before production.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,908
2,218
463
Hello,

Make sure you install the minimal version of CentOS on servers that you intend to install cPanel. Let us know if you encounter this issue again in the future.

Thank you.